let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  perl = "/nix/store/bkqrxpnz2dxc2j16zq7c7ahggqjbv7g7-perl-5.20.2/bin/perl";
  shell = "/nix/store/q31hryagjbkkc0x39n4h95l0wvmiaipj-bash-4.3-p42/bin/bash";
  coreutils = "/nix/store/m3yzfvfi702ynb7410kl884z1d1yi14l-coreutils-8.24/bin";
  bzip2 = "/nix/store/6syi0hr3p53gdyy4qgmms1zlwqi6ccf8-bzip2-1.0.6/bin/bzip2";
  gzip = "/nix/store/5wp1y9rn57cynksnygd5k4qvaml3csmk-gzip-1.6/bin/gzip";
  xz = "/nix/store/aw7gs56q6kl4xc2m1dm5saiyaxi828wk-xz-5.2.1/bin/xz";
  tar = "/nix/store/wzy5mib2rqysxwxvm6b79qc2xpmkmgir-gnutar-1.28/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/m3yzfvfi702ynb7410kl884z1d1yi14l-coreutils-8.24/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/npfwdjdm2rxbcbfqz33p07mdn231qg4m-nix-1.11.2/bin";
  nixPrefix = "/nix/store/npfwdjdm2rxbcbfqz33p07mdn231qg4m-nix-1.11.2";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
